libx is needed when installing rpm on CentOS 7

Root Loop asked:

During the installation of a rmp on Centos 7, I got error message as below

libX11.so.6()(64bit) is needed
libXau.so.6()(64bit) is needed
libxcb.so.1()(64bit) is needed
libXext.so.6()(64bit) is needed
libXft.so.2()(64bit) is needed
libXi.so.6()(64bit) is needed
libXrender.so.1()(64bit) is needed
libXtst.so.6()(64bit) is needed

Just wondering if there is a single package to have all of those libx included?

My answer:


All of those should be in the repos already. You should be using yum install to install your RPM and not rpm, as this will provide you automatic dependency resolution.


View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.